--------------------------- Debugging aid -----------------------------------


------ Simple exit-on-failure I/O checking ------
   This is only to be used during early debugging phase,
until OTOP can use its own I/O library and exception handling to debug self.

define({errprintf},{fprintf(stderr,$@)})
define({TRY0},
	{((($1)==($2))?exit(errno):1)})
define({TRY},
	{TRY0($1,-1L)})
define({CHECK},
	{((($1)==($2))?0:(errprintf($3 "\n"),exit(10)))})


------ debug or not debug ------
ifdef({DEBUG},
{
define({DBG},{errprintf($@);})
},
{
define({DBG})
})
